public class HTQ1
{
public static void main(String arg[])
{
double h=40;//W/m2K
double k=230;//w/mK
double t=5e-3;//m
double L=10e-3;//m
double m=Math.sqrt(2*h/(k*t));
double x=2.0*m*L;
double eta=1.0/(m*L)*Mathd.I(1.0,x)/Mathd.I(0.0,x);
System.out.println("m="+m+"x="+x+"eta="+eta);
double w=0.1;//m
double Af=2.0*w*Math.sqrt(L*L+t*t/4.0);
double qmax=h*Af*(400-300);
double q=eta*qmax;
System.out.println("Af="+Af+"qmax="+qmax+"q="+q);
}

}